<?php
$db = new PDO('sqlite:chinook.db');

if (isset($_GET['artist'])) {
    $stmt = $db->prepare('
        SELECT
            tracks.name AS track,
            albums.title AS album,
            artists.name AS artist,
            genres.name AS genre
        FROM tracks, albums, artists, genres
        WHERE tracks.albumid = albums.albumid
        AND albums.artistid = artists.artistid
        AND genres.genreid = tracks.genreid
        AND artists.name = ?
    ');
    $stmt->execute([ urldecode($_GET['artist']) ]);
} else if (isset($_GET['genre'])) {
    $stmt = $db->prepare('
        SELECT
            tracks.name AS track,
            albums.title AS album,
            artists.name AS artist,
            genres.name AS genre
        FROM tracks, albums, artists, genres
        WHERE tracks.albumid = albums.albumid
        AND albums.artistid = artists.artistid
        AND genres.genreid = tracks.genreid
        AND genres.name = ?
    ');
    $stmt->execute([ urldecode($_GET['genre']) ]);
} else if (isset($_GET['album'])) {
    $stmt = $db->prepare('
        SELECT
            tracks.name AS track,
            albums.title AS album,
            artists.name AS artist,
            genres.name AS genre
        FROM tracks, albums, artists, genres
        WHERE tracks.albumid = albums.albumid
        AND albums.artistid = artists.artistid
        AND genres.genreid = tracks.genreid
        AND albums.title = ?
    ');
    $stmt->execute([ urldecode($_GET['album']) ]);
} else {    
    $stmt = $db->prepare('
        SELECT
            tracks.name AS track,
            albums.title AS album,
            artists.name AS artist,
            genres.name AS genre
        FROM tracks, albums, artists, genres
        WHERE tracks.albumid = albums.albumid
        AND albums.artistid = artists.artistid
        AND genres.genreid = tracks.genreid
    ');
    $stmt->execute([]);
}

$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>Chinook Tracks</title>
    </head>
    <body>
        <h1><a href="<?= $_SERVER['PHP_SELF'] ?>">Chinook Tracks</a></h1>
        <table border=1>
            <tr>
                <th>Track</th>
                <th>Album</th>
                <th>Artist</th>
                <th>Genre</th>
            </tr>
            <?php foreach ($data as $value) { ?>
                <tr>
                    <td><?= $value['track'] ?></td>
                    <td><a href="?album=<?= urlencode($value['album']) ?>"><?= $value['album'] ?></a></td>
                    <td><a href="?artist=<?= urlencode($value['artist']) ?>"><?= $value['artist'] ?></a></td>
                    <td><a href="?genre=<?= urlencode($value['genre']) ?>"><?= $value['genre'] ?></a></td>
                </tr>
            <?php } ?>
        </table>
    </body>
</html>